#include <iostream>
#include <vector>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    int N,K;
    cin>>N>>K;
    vector<int> p(N);
    int izvucenaKarta=0;
    for(int i=0;i<N;i++)
        cin>>p[i];
    for(int i=0;i<N;i++)
        if(p[i]==K)
            izvucenaKarta=(i==N-1)?p[0]:p[i+1];
    cout<<izvucenaKarta<<endl;
	return 0;
}